| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
Media::sealed Class Reference

`#include <CaptureFrameGrabber.h>`

## Public Member Functions
virtual | ~CaptureFrameGrabber ()
void | ShowCameraSettings ()
concurrency::task< MW::ComPtr< IMF2DBuffer2 > > | GetFrameAsync ()
concurrency::task< void > | FinishAsync ()

## Static Public Member Functions
static concurrency::task< CaptureFrameGrabber^> | CreateAsync (_In_ WMC::MediaCapture^ capture, _In_ WMMp::VideoEncodingProperties^ props, CaptureStreamType streamType)

## Public Attributes
internal | __pad0__: static concurrency::task<CaptureFrameGrabber^> CreateAsync(_In_ WMC::MediaCapture^ capture
internal _In_ WMMp::VideoEncodingProperties | props

## Constructor & Destructor Documentation

## ◆ ~CaptureFrameGrabber()

virtual Media::sealed::~CaptureFrameGrabber | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ CreateAsync()

static concurrency::task< CaptureFrameGrabber^> Media::sealed::CreateAsync | ( | _In_ WMC::MediaCapture^ | capture,
|  | _In_ WMMp::VideoEncodingProperties^ | props,
|  | CaptureStreamType | streamType
| ) |  |
| static

## ◆ FinishAsync()

concurrency::task< void > Media::sealed::FinishAsync | ( |  | ) |

## ◆ GetFrameAsync()

concurrency::task< MW::ComPtr< IMF2DBuffer2 > > Media::sealed::GetFrameAsync | ( |  | ) |

## ◆ ShowCameraSettings()

void Media::sealed::ShowCameraSettings | ( |  | ) |

## Member Data Documentation

## ◆ __pad0__

internal Media::sealed::__pad0__

## ◆ props

internal _In_ WMMp::VideoEncodingProperties Media::sealed::props

Initial value:
{
return CreateAsync(capture, props, CaptureStreamType::Preview)
Media::sealed::props
internal _In_ WMMp::VideoEncodingProperties props
Definition: CaptureFrameGrabber.h:37
Media::sealed::CreateAsync
static concurrency::task< CaptureFrameGrabber^> CreateAsync(_In_ WMC::MediaCapture^ capture, _In_ WMMp::VideoEncodingProperties^ props, CaptureStreamType streamType)
Media::CaptureStreamType::Preview
@ Preview

The documentation for this class was generated from the following files:

- Source/ARX/ARVideo/WindowsMediaCapture/CaptureFrameGrabber/CaptureFrameGrabber.h
- Source/ARX/ARVideo/WindowsMediaCapture/CaptureFrameGrabber/MFIncludes.h